-- (C) Copyright International Business Machines Corporation 16 September
-- 1991.  All Rights Reserved.
--
-- See the file USERAGREEMENT distributed with this software for full
-- terms and conditions of use.
-- SCCS Info: @(#)chencodings.d	1.1 9/25/91

chencodings: using(chdescriptors, chinternal, chtransform, interpform)

  definitions

    datareps : callmessage(datarep : datarepFn)
    exit {full};
    datarepsQ : inport of datareps {};
    datarepsFn : outport of datarepsQ;
    
    datarep : callmessage(
	operands : ch_operands,
	op1 : integer,
	op2 : integer,
	parameters : template_parameters,
	family : data_family
      )
    constant (operands, op1, op2)
    exit {full};
    datarepQ : inport of datarep {init(operands),
	full(op1), full(op2), init(parameters)};
    datarepFn : outport of datarepQ;

  end definitions
